Summary: The DAHDI project
Name: dahdi-tools
Version: 2.10.0.1
Release: 1%{dist}
License: GPL
Group: Utilities/System
Source0: %{name}-%{version}.tar.gz
Patch0: echocan_oslec.patch
Patch1: init_unload_oslec.patch
Patch2: 0001-blacklist.sample.patch
Patch3: 0001-Chans.pm.patch
Patch4: 0001-modules.sample.patch
Patch5: 0001-PCI.pm.patch
Patch6: 0001-Span.pm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.asterisk.org/
Vendor: Schmooze Com, Inc.
Packager: Bryan Walters <bryan.walters@schmoozecom.com>
%{!?_without_newt:Requires: newt}
%{!?_without_newt:BuildRequires: newt-devel}
BuildRequires: libusb-devel
Requires: dahdi-linux
BuildRequires: dahdi-linux-devel

%description
The open source DAHDI project

%package doc
Summary: Documentation files for DAHDI
Group: Development/Libraries

%description doc
The Documentation files for DAHDI

%package -n libtonezone
Summary: Libtonezone, from the open source DAHDI project
Group: Development/Libraries

%description -n libtonezone
libtonezone is a component from the open source DAHDI project

%package -n libtonezone-devel
Summary: Libtonezone libraries and header files for libtonezone development
Group: Development/Libraries
Requires: libtonezone = %{version}-%{release}

%description -n libtonezone-devel
The static libraries and header files needed for building additional plugins/modules

%prep
%setup -n %{name}-%{version}
%patch0
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
echo %{version} > .version
%configure
#./configure
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts/
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT config

%post
chkconfig --add dahdi

%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version}
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

%files
%{_sbindir}
%config %{_sysconfdir}/hotplug/
%config(noreplace) %{_sysconfdir}/dahdi/
%config %{_sysconfdir}/init.d/dahdi
%config %{_sysconfdir}/modprobe.d/dahdi.conf
%config %{_sysconfdir}/modprobe.d/dahdi.blacklist.conf
%config %{_sysconfdir}/udev/rules.d/dahdi.rules
%config %{_sysconfdir}/udev/rules.d/xpp.rules
%config %{_sysconfdir}/sysconfig/network-scripts/ifup-hdlc
%config %{_sysconfdir}/bash_completion.d/dahdi
/usr/share/dahdi/
%{perl_sitelib}

%files doc
%{_mandir}/man8/

%files -n libtonezone
%defattr(-, root, root)
%{_libdir}/libtonezone.so
%{_libdir}/libtonezone.so.2
%{_libdir}/libtonezone.so.2.0
%{_libdir}/libtonezone.so.1
%{_libdir}/libtonezone.so.1.0

%files -n libtonezone-devel
%defattr(-, root, root)
%{_includedir}/dahdi/tonezone.h
%{_libdir}/libtonezone.a
